<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('REPORTE DE CLIENTES POR VENDEDOR AMANACU');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->setLanguageArray($l);
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 30);
$codigo_x=$_GET['usuario'];
$fecha_actualxls=date('Y-m-d - h:i:s A');
$fecha_ingreso=date('Y-m-d - h:i:s A');

$fecha_desde=strip_tags($_POST['fecha_desde']);
$fecha_hasta=strip_tags($_POST['fecha_hasta']);

$codigo_cliente=$_GET['cod_cliente'];
$cod_vendedor=$_GET['cod_vendedor'];
$mesx=$_POST['mes'];

$mesxx = explode("-", $mesx);
$mes=$mesxx[1]; //

$token=$cod_vendedor.'-'.$codigo_cliente.'-'.$mes;
$usuarios_conectadosx=mysql_query("select * from  tabla_usuarios where id='".$codigo_x."'",$link);
$ver_usuariosx=mysql_fetch_array($usuarios_conectadosx);

$consultar_sql_ver=mysql_query("select * from  tabla_vendedores where id='".$cod_vendedor."' ORDER BY id DESC ",$link);
$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver);

$contar_clientes_vendedor=mysql_query("select * from   tabla_vendedores_clientes where eliminar='0' and estatus='1' and cod_vendedor='".$cod_vendedor."' ",$link);
$contar_clientes=mysql_num_rows($contar_clientes_vendedor);	
$html1 ='
	<h3>MATADERO AVICOLA LOS LLANOS C.A - J-31074333-9</h3><br>
	IMPRESO POR: '.$ver_usuariosx['descripcion'].'  EL DIA '.$fecha_ingreso.'<br>
	VENDEDOR: '.$ver_consultar_sql_ver['nombre_apellido'].'<br>
	CLIENTES: '.$contar_clientes.'<br><br>
	<h1 style="text-align: center;">VENTAS POR KILOGRAMOS : DESDE '.$fecha_desde.' HASTA '.$fecha_hasta.'</h1>
';
$html2 ='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="5%">COD</td>
			<td WIDTH="15%" style="text-align: left;">RIF</td>
			<td WIDTH="70%" style="text-align: left;">RAZON SOCIAL</td>
			<td WIDTH="10%" style="text-align: right;">kg.</td>
		</tr>
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
';

$ventas_productos=mysql_query("select SUM(cantidad),cod_vendedor,cod_cliente,mes,eliminar from  tabla_factura_detalle_fact_xls where cod_vendedor='$cod_vendedor'  and fecha_registro BETWEEN '$fecha_desde' AND '$fecha_hasta' and eliminar='0' GROUP BY cod_cliente",$link);
while($p_ventax=mysql_fetch_array($ventas_productos)){

	$cod_cliente=$p_ventax['cod_cliente'];
	$control_clientes=$ver_consultar_sql_cliente['cod_cliente'];
	$control_vendedor=$ver_consultar_sql_cliente['cod_vendedor'];
	$consultar_sql_verx=mysql_query("select * from   tabla_clintes_xls where id='$cod_cliente' ORDER BY id DESC ",$link);
	$ver_consultar_sql_verx=mysql_fetch_array($consultar_sql_verx);			
		$cantidad_vendida=$p_ventax['SUM(cantidad)'];		
	$i++;
	$html51[]='
	<table  border="0" >
		<tr>
			<td WIDTH="5%">'.$ver_consultar_sql_verx['id'].'</td>
			<td WIDTH="15%" style="text-align: left;">'.$ver_consultar_sql_verx['rif'].'</td>
			<td WIDTH="70%" style="text-align: left;">'.$ver_consultar_sql_verx['descripcion'].'</td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($cantidad_vendida, 2, ',','.').'</td>
		</tr>
	</table>
	 '; 
}
//number_format($ver_factura['SUM(total_venta)'], 2, ',','.')

			
	$deuda_consultar_sql_cliente=mysql_query("select SUM(cantidad),cod_vendedor,mes,eliminar from  tabla_factura_detalle_fact_xls where cod_vendedor='$cod_vendedor' and fecha_registro BETWEEN '$fecha_desde' AND '$fecha_hasta' and eliminar='0' ",$link);
	$deuda_ver_consultar_sql_cliente=mysql_fetch_array($deuda_consultar_sql_cliente);										
	$saldo_total=$deuda_ver_consultar_sql_cliente['SUM(cantidad)'];		
										
$html3 ='

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="52%"><b>TOTAL GENERALES :</b></td>
			<td WIDTH="15%" style="text-align: center;"></td>
			<td WIDTH="10%" style="text-align: right;"></td>
			<td WIDTH="5%" style="text-align: right;"></td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($saldo_total, 2, ',','.').' kg.</td>
		</tr>
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

';
$html2x ='
<br>
	<table border="0">
		<tr>
			<td WIDTH="10%">COD</td>
			<td WIDTH="70%" style="text-align: left;">PRODUCTO</td>
			<td WIDTH="10%" style="text-align: right;">kg.</td>
		</tr>
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
';
	$consult_producto=mysql_query("SELECT * FROM tabla_productos where eliminar='0' ORDER BY id ASC ",$link);
	while($ver_consult_producto=mysql_fetch_array($consult_producto)){
			
	$cod_productox=$ver_consult_producto['id'];
	$nombre_producto=$ver_consult_producto['nombre_producto'];
			
			
			$ventas_productosx=mysql_query("select SUM(cantidad),cod_vendedor,cod_cliente,mes,eliminar,cod_producto from  tabla_factura_detalle_fact_xls where cod_vendedor='$cod_vendedor' and fecha_registro BETWEEN '$fecha_desde' AND '$fecha_hasta'  and cod_producto='$cod_productox' ",$link);
			$p_ventaxx=mysql_fetch_array($ventas_productosx);		
			$cantidad_vendidax=$p_ventaxx['SUM(cantidad)'];		
			$cod_productox1=$p_ventaxx['cod_producto'];		
	$z++;
	if($cod_productox1!=''){
	$html52[]='
	<table  border="0" >
		<tr>
			<td WIDTH="10%">'.$ver_consult_producto['cod_producto'].'</td>
			<td WIDTH="70%" style="text-align: left;">'.$nombre_producto.'</td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($cantidad_vendidax, 2, ',','.').'</td>
		</tr>
	</table>
	
	 '; 
}
}


$pdf->SetFont('times', '', 8);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($html2, true, 0, true, true);
$pdf->Ln(); 
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln(); 
$pdf->writeHTML($html2x, true, 0, true, true);
$pdf->Ln(); 
for($c=0;$c<=$z;$c++){
	$pdf->writeHTML($html52[$c], true, 0, true, true);
	$pdf->Ln(1);
}
//$pdf->write1DBarcode(''.$token.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
//$pdf->Ln();
$pdf->Output('VENTAS - KILIGRAMOS-'.$ver_consultar_sql_ver['nombre_apellido'].'-'.$fecha_actualxls.'.pdf', 'I');
?>